AEM jar stopped working

Avatar

Avatar
Give Back
Level 1
abhisheks422283
Level 1

Likes

0 likes

Total Posts

2 posts

Correct reply

0 solutions
Top badges earned
Give Back
View profile

Avatar
Give Back
Level 1
abhisheks422283
Level 1

Likes

0 likes

Total Posts

2 posts

Correct reply

0 solutions
Top badges earned
Give Back
View profile
abhisheks422283
Level 1

23-04-2021

While running AEM jar on MAC getting below errors:

tried running in verbose mode. Any idea how to fix that?

Loading quickstart properties: default

Loading quickstart properties: instance

Low-memory action set to fork

Using 64bit VM settings, min.heap=1024MB, min permgen=256MB, default fork arguments=[-Xmx1024m, -XX:MaxPermSize=256m]

The JVM reports a heap size of 2048 MB, meets our expectation of 1024 MB +/- 20

Setting properties from filename '/Users/abhisheksaxena/Desktop/AEM/Author/aem-author-4502.jar'

Option '-quickstart.server.port' set to '4502' from filename aem-author-4502.jar

Verbose mode - stdout/err not redirected to files, and stdin not closedResourceProvider paths=[/gui, /gui/default]

quickstart.build=0.0.0.0_0_0_6_4_.20180329

quickstartdir:/Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart

PortSelector: Selecting server port from supplied list: 4502

PortSelector: Trying port 4502

PortSelector: Successfully bound to port 4502, will use it

PortSelector: Selected port 4502

Build number not changed, software update not needed

UpgradeUtil.handleInstallAndUpgrade has mode RESTART

Upgrade: no files to restore from pre-upgrade backup

Press CTRL-C to shutdown the Quickstart server...

Sling Home: /Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart

Launchpad Home: launchpad

Sling Properties: conf/sling.properties

Application arguments: {sling.properties=conf/sling.properties, sling.home=/Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart, sling.launchpad=launchpad, org.osgi.service.http.port=4502}

-------------------------------------------------------------------

Quickstart application directory: /Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart/app

App classpath: 

 - file:/Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart/app/cq-quickstart-6.4.0-standalone-quickstart.jar

Main class: org.apache.sling.launchpad.app.Main

-------------------------------------------------------------------

23.04.2021 15:47:37.292 *INFO * [main] Setting sling.home=/Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart (command line)

23.04.2021 15:47:37.294 *INFO * [main] Starting Apache Sling in /Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart

23.04.2021 15:47:37.296 *INFO * [main] Sling  Extension Lib Home : /Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart/launchpad/ext

23.04.2021 15:47:37.299 *INFO * [main] Checking launcher JAR in folder /Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart/launchpad

23.04.2021 15:47:37.314 *INFO * [main] Existing launcher is up to date, using it: 5.6.10.2_6_26 (org.apache.sling.launchpad.base.jar)

23.04.2021 15:47:37.315 *INFO * [main] Loading launcher class org.apache.sling.launchpad.base.app.MainDelegate from org.apache.sling.launchpad.base.jar

23.04.2021 15:47:37.316 *INFO * [main] External Libs Home (ext) is null or does not exists.

23.04.2021 15:47:37.333 *INFO * [main] Setting sling.properties=conf/sling.properties

23.04.2021 15:47:37.333 *INFO * [main] Setting sling.home=/Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart

23.04.2021 15:47:37.333 *INFO * [main] Setting sling.launchpad=/Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart/launchpad

23.04.2021 15:47:37.333 *INFO * [main] Setting org.osgi.service.http.port=4502

23.04.2021 15:47:37.333 *INFO * [main] Starting launcher ...

23.04.2021 15:47:37.339 *INFO * [main] HTTP server port: 4502

WARNING: An illegal reflective access operation has occurred

WARNING: Illegal reflective access by org.apache.felix.framework.ext.ClassPathExtenderFactory$DefaultClassLoaderExtender (file:/Users/abhisheksaxena/Desktop/AEM/Author/crx-quickstart/launchpad/org.apache.sling.launchpad.base.jar) to method java.net.URLClassLoader.addURL(java.net.URL)

WARNING: Please consider reporting this to the maintainers of org.apache.felix.framework.ext.ClassPathExtenderFactory$DefaultClassLoaderExtender

WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations

WARNING: All illegal access operations will be denied in a future release

23.04.2021 15:47:37.620 *ERROR* [FelixStartLevel] ERROR: Bundle '3' Error starting slinginstall:org.apache.sling.installer.provider.file-1.1.0.jar (org.osgi.framework.BundleException: Unable to resolve org.apache.sling.installer.provider.file [3](R 3.0): missing requirement [org.apache.sling.installer.provider.file [3](R 3.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api)(version>=3.1.2)(!(version>=4.0.0))) [caused by: Unable to resolve org.apache.sling.installer.core [17](R 17.0): missing requirement [org.apache.sling.installer.core [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.annotation)] Unresolved requirements: [[org.apache.sling.installer.provider.file [3](R 3.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api)(version>=3.1.2)(!(version>=4.0.0)))])

org.osgi.framework.BundleException: Unable to resolve org.apache.sling.installer.provider.file [3](R 3.0): missing requirement [org.apache.sling.installer.provider.file [3](R 3.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api)(version>=3.1.2)(!(version>=4.0.0))) [caused by: Unable to resolve org.apache.sling.installer.core [17](R 17.0): missing requirement [org.apache.sling.installer.core [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.annotation)] Unresolved requirements: [[org.apache.sling.installer.provider.file [3](R 3.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api)(version>=3.1.2)(!(version>=4.0.0)))]

at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4149)

at org.apache.felix.framework.Felix.startBundle(Felix.java:2119)

at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1373)

at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:308)

at java.base/java.lang.Thread.run(Thread.java:834)

23.04.2021 15:47:37.643 *INFO* [FelixStartLevel] org.apache.sling.commons.logservice Service [org.apache.sling.commons.logservice.internal.LogServiceFactory,12, [org.osgi.service.log.LogService]] ServiceEvent REGISTERED

23.04.2021 15:47:37.645 *INFO* [FelixStartLevel] org.apache.sling.commons.logservice Service [org.apache.sling.commons.logservice.internal.LogReaderServiceFactory,13, [org.osgi.service.log.LogReaderService]] ServiceEvent REGISTERED

23.04.2021 15:47:37.645 *INFO* [FelixStartLevel] org.apache.sling.commons.logservice BundleEvent STARTED

23.04.2021 15:47:37.648 *INFO* [FelixStartLevel] jcl.over.slf4j BundleEvent RESOLVED

23.04.2021 15:47:37.648 *INFO* [FelixStartLevel] jcl.over.slf4j BundleEvent STARTING

23.04.2021 15:47:37.648 *INFO* [FelixStartLevel] jcl.over.slf4j BundleEvent STARTED

23.04.2021 15:47:37.649 *INFO* [FelixStartLevel] org.apache.sling.commons.log BundleEvent STARTING

23.04.2021 15:47:37.665 *INFO* [FelixStartLevel] org.apache.sling.commons.log Service [org.apache.sling.commons.log.LogManager,14, [org.osgi.service.cm.ManagedService]] ServiceEvent REGISTERED

23.04.2021 15:47:37.667 *INFO* [FelixStartLevel] org.apache.sling.commons.log Service [org.apache.sling.commons.log.LogManager.factory.writer,15, [org.osgi.service.cm.ManagedServiceFactory]] ServiceEvent REGISTERED

23.04.2021 15:47:37.667 *INFO* [FelixStartLevel] org.apache.sling.commons.log Service [org.apache.sling.commons.log.LogManager.factory.config,16, [org.osgi.service.cm.ManagedServiceFactory]] ServiceEvent REGISTERED

23.04.2021 15:47:37.670 *INFO* [FelixStartLevel] org.apache.sling.commons.log Service [Sling Log Panel Support,17, [org.apache.sling.commons.log.logback.webconsole.LogPanel]] ServiceEvent REGISTERED

23.04.2021 15:47:37.671 *INFO* [FelixStartLevel] org.apache.sling.commons.log Service [Sling Log Configuration Printer,18, [org.apache.sling.commons.log.logback.internal.SlingConfigurationPrinter]] ServiceEvent REGISTERED

23.04.2021 15:47:37.671 *INFO* [FelixStartLevel] org.apache.sling.commons.log Service [Sling Log Reset Event Handler,19, [org.osgi.service.event.EventHandler]] ServiceEvent REGISTERED

23.04.2021 15:47:37.727 *ERROR* [FelixStartLevel] ERROR: Bundle '16' Error starting slinginstall:org.apache.sling.launchpad.installer-1.2.2.jar (org.osgi.framework.BundleException: Unable to resolve org.apache.sling.launchpad.installer [16](R 16.0): missing requirement [org.apache.sling.launchpad.installer [16](R 16.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api.event)(version>=1.0.0)(!(version>=2.0.0))) [caused by: Unable to resolve org.apache.sling.installer.core [17](R 17.0): missing requirement [org.apache.sling.installer.core [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.annotation)] Unresolved requirements: [[org.apache.sling.launchpad.installer [16](R 16.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api.event)(version>=1.0.0)(!(version>=2.0.0)))])

org.osgi.framework.BundleException: Unable to resolve org.apache.sling.launchpad.installer [16](R 16.0): missing requirement [org.apache.sling.launchpad.installer [16](R 16.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api.event)(version>=1.0.0)(!(version>=2.0.0))) [caused by: Unable to resolve org.apache.sling.installer.core [17](R 17.0): missing requirement [org.apache.sling.installer.core [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.annotation)] Unresolved requirements: [[org.apache.sling.launchpad.installer [16](R 16.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api.event)(version>=1.0.0)(!(version>=2.0.0)))]

at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4149)

at org.apache.felix.framework.Felix.startBundle(Felix.java:2119)

at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1373)

at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:308)

at java.base/java.lang.Thread.run(Thread.java:834)

23.04.2021 15:47:37.727 *ERROR* [FelixStartLevel] ERROR: Bundle '17' Error starting slinginstall:org.apache.sling.installer.core-3.8.12.jar (org.osgi.framework.BundleException: Unable to resolve org.apache.sling.installer.core [17](R 17.0): missing requirement [org.apache.sling.installer.core [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.annotation) Unresolved requirements: [[org.apache.sling.installer.core [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.annotation)])

org.osgi.framework.BundleException: Unable to resolve org.apache.sling.installer.core [17](R 17.0): missing requirement [org.apache.sling.installer.core [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.annotation) Unresolved requirements: [[org.apache.sling.installer.core [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.annotation)]

at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4149)

at org.apache.felix.framework.Felix.startBundle(Felix.java:2119)

at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1373)

at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:308)

at java.base/java.lang.Thread.run(Thread.java:834)

23.04.2021 15:47:37.729 *ERROR* [FelixStartLevel] ERROR: Bundle '18' Error starting slinginstall:org.apache.sling.installer.factory.configuration-1.1.2.jar (org.osgi.framework.BundleException: Unable to resolve org.apache.sling.installer.factory.configuration [18](R 18.0): missing requirement [org.apache.sling.installer.factory.configuration [18](R 18.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api.tasks)(version>=1.3.0)(!(version>=2.0.0))) [caused by: Unable to resolve org.apache.sling.installer.core [17](R 17.0): missing requirement [org.apache.sling.installer.core [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.annotation)] Unresolved requirements: [[org.apache.sling.installer.factory.configuration [18](R 18.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api.tasks)(version>=1.3.0)(!(version>=2.0.0)))])

org.osgi.framework.BundleException: Unable to resolve org.apache.sling.installer.factory.configuration [18](R 18.0): missing requirement [org.apache.sling.installer.factory.configuration [18](R 18.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api.tasks)(version>=1.3.0)(!(version>=2.0.0))) [caused by: Unable to resolve org.apache.sling.installer.core [17](R 17.0): missing requirement [org.apache.sling.installer.core [17](R 17.0)] osgi.wiring.package; (osgi.wiring.package=javax.annotation)] Unresolved requirements: [[org.apache.sling.installer.factory.configuration [18](R 18.0)] osgi.wiring.package; (&(osgi.wiring.package=org.apache.sling.installer.api.tasks)(version>=1.3.0)(!(version>=2.0.0)))]

at org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4149)

at org.apache.felix.framework.Felix.startBundle(Felix.java:2119)

at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1373)

at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:308)

at java.base/java.lang.Thread.run(Thread.java:834)

23.04.2021 15:47:37.730 *INFO * [main] Startup completed

Accepted Solutions (0)

Answers (2)

Answers (2)

Avatar

Avatar
Applaud 25
Level 10
asutosh_jena
Level 10

Likes

593 likes

Total Posts

705 posts

Correct reply

207 solutions
Top badges earned
Applaud 25
Give Back 100
Boost 500
Affirm 100
Ignite 1
View profile

Avatar
Applaud 25
Level 10
asutosh_jena
Level 10

Likes

593 likes

Total Posts

705 posts

Correct reply

207 solutions
Top badges earned
Applaud 25
Give Back 100
Boost 500
Affirm 100
Ignite 1
View profile
asutosh_jena
Level 10

23-04-2021

Hi @abhisheks422283 

 

You are running AEM 6.4 instance and what is the JDK used version used here?

Also is the first time you are running this instance or it was working earlier and stopped working now when you are starting the instance?

If this was running earlier, have you installed anything recently on this instance?

 

Please provide the above information.

 

Thanks!

Avatar

Avatar
Level 1
andreeaf88
Level 1

Likes

0 likes

Total Posts

1 post

Correct reply

0 solutions
View profile

Avatar
Level 1
andreeaf88
Level 1

Likes

0 likes

Total Posts

1 post

Correct reply

0 solutions
View profile
andreeaf88
Level 1

07-05-2021

Hi,

I had the same problem after Installing the updates in my MAC what I noticed it was that I had as default java version set to 11 instead of 1.8.

Maybe you can check what java version you have.